summaryrefslogtreecommitdiff
path: root/net-misc/icecast/files/icecast.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /net-misc/icecast/files/icecast.initd
reinit the tree, so we can have metadata
Diffstat (limited to 'net-misc/icecast/files/icecast.initd')
-rw-r--r--net-misc/icecast/files/icecast.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/net-misc/icecast/files/icecast.initd b/net-misc/icecast/files/icecast.initd
new file mode 100644
index 000000000000..cb658a3907d4
--- /dev/null
+++ b/net-misc/icecast/files/icecast.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+
+pidfile="/var/run/icecast.pid"
+command="/usr/bin/icecast"
+command_args="-c /etc/icecast2/icecast.xml"
+command_background="true"
+
+depend() {
+ need net
+}
+
+reload() {
+ ebegin "Reloading Icecast2 configuration"
+ start-stop-daemon --signal HUP --pidfile ${pidfile}
+ eend $?
+}